
Redmine - Defect #16585

REST API: ?include=memberships,groups does not deliver values

2014-04-09 10:04 - Marco Descher

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.4.5

Description

A call on https://foo.bar.at/users/3.xml?include=memberships,groups does deliver the following response; while the requested user is

granted ADMIN rights. Clearly the values are not populated, as described on 

http://www.redmine.org/projects/redmine/wiki/Rest_Users

<user>

<id>3</id>

<login>mdescher</login>

<firstname>Marco</firstname>

<lastname>Descher</lastname>

<mail>dfoo@bar.at</mail>

<created_on>2013-09-26T08:19:28Z</created_on>

<last_login_on>2014-04-09T08:00:21Z</last_login_on>

<api_key>asdf</api_key>

<status>1</status><groups type="array"/>

<memberships type="array"/></user>

 System information:

Environment:

  Redmine version                2.4.5.stable

  Ruby version                   1.9.3-p194 (2012-04-20) [x86_64-linux]

  Rails version                  3.2.17

  Environment                    production

  Database adapter               Mysql2

SCM:

  Mercurial                      2.2.2

  Git                            1.7.10.4

  Filesystem                     

Redmine plugins:

  redmine_contacts               3.2.15-pro

  redmine_contacts_helpdesk      2.2.9-pro

  redmine_contacts_invoices      3.1.2-pro

  redmine_issue_checklist        2.0.5

  redmine_medelexis              0.0.3

  redmine_products               1.0.2-pro

History

#1 - 2014-05-02 10:08 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

Works fine for me. In order to get the groups, you need to call the API with admin credentials.
